linux: 3.0.0-30.47 -proposed tracker

Bug #1095352 reported by Brad Figg on 2013-01-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Brad Figg
Prepare-package-lbm
Undecided
Brad Figg
Prepare-package-meta
Undecided
Brad Figg
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-30.47 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 02. January 2013 16:03 UTC
kernel-stable-Certification-testing-end:Wednesday, 02. January 2013 17:00 UTC
kernel-stable-Prepare-package-end:Thursday, 03. January 2013 12:01 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 03. January 2013 12:01 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 03. January 2013 20:00 UTC
kernel-stable-Verification-testing-start:Thursday, 03. January 2013 21:02 UTC
kernel-stable-Regression-testing-end:Saturday, 05. January 2013 01:00 UTC
kernel-stable-Security-signoff-start:Friday, 11. January 2013 12:01 UTC
kernel-stable-Verification-testing-end:Friday, 11. January 2013 12:01 UTC
kernel-stable-Promote-to-updates-start:Monday, 14. January 2013 13:00 UTC
kernel-stable-Security-signoff-end:Monday, 14. January 2013 13:00 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 15. January 2013 06:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 15. January 2013 07:02 UTC

Brad Figg (brad-figg) on 2013-01-02
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2013-01-02
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

It was not possible to create or handle the tracking bugs for the following packages (their tracking bugs based on this update must be handled manually):
linux-ti-omap4
linux-lts-backport-oneiric (lucid)

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and override adjusted.

Brad Figg (brad-figg) on 2013-01-03
description: updated
Brad Figg (brad-figg) wrote :

Temporary to get the bot to create the tracking bug(s)

Brad Figg (brad-figg) wrote :

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1095805

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 1095807

Brad Figg (brad-figg) wrote :

Setting it back to it's correct status.

Brad Figg (brad-figg) on 2013-01-03
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-01-05
description: updated
Luis Henriques (henrix) wrote :

All SRUs verified; moving to testing.

Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2013-01-11
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-01-14
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux - 3.0.0-30.47

---------------
linux (3.0.0-30.47) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095352

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: usb: cdc-wdm: fix regression on buffer deallocation
    - LP: #1074157
  * [Config] updateconfigs for 3.0.57 stable update

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Upstream Kernel Changes ]

  * Revert "sched, autogroup: Stop going ahead if autogroup is disabled"
    - LP: #1088641
  * ALSA: pcmcia - Use pcmcia_request_irq()
    - LP: #1087264
  * drivers/block/DAC960: fix DAC960_V2_IOCTL_Opcode_T -Wenum-compare
    warning
    - LP: #1087264
  * drivers/block/DAC960: fix -Wuninitialized warning
    - LP: #1087264
  * riva/fbdev: fix several -Wuninitialized
    - LP: #1087264
  * ifenslave: Fix unused variable warnings.
    - LP: #1087264
  * x86-32: Fix invalid stack address while in softirq
    - LP: #1087264
  * x86, microcode, AMD: Add support for family 16h processors
    - LP: #1087264
  * rtlwifi: rtl8192cu: Add new USB ID
    - LP: #1087264
  * mwifiex: report error to MMC core if we cannot suspend
    - LP: #1087264
  * SCSI: isci: copy fis 0x34 response into proper buffer
    - LP: #1087264
  * ALSA: ua101, usx2y: fix broken MIDI output
    - LP: #1087264
  * PARISC: fix virtual aliasing issue in get_shared_area()
    - LP: #1087264
  * PARISC: fix user-triggerable panic on parisc
    - LP: #1087264
  * mtd: slram: invalid checking of absolute end address
    - LP: #1087264
  * dm: fix deadlock with request based dm and queue request_fn recursion
    - LP: #1087264
  * futex: avoid wake_futex() for a PI futex_q
    - LP: #1087264
  * mac80211: deinitialize ibss-internals after emptiness check
    - LP: #1087264
  * radeon: add AGPMode 1 quirk for RV250
    - LP: #1087264
  * can: bcm: initialize ifindex for timeouts without previous frame
    reception
    - LP: #1087264
  * jbd: Fix lock ordering bug in journal_unmap_buffer()
    - LP: #1087264
  * sparc64: not any error from do_sigaltstack() should fail rt_sigreturn()
    - LP: #1087264
  * ALSA: hda - Add new codec ALC283 ALC290 support
    - LP: #1087264
  * ALSA: hda - Fix missing beep on ASUS X43U notebook
    - LP: #1087264
  * ALSA: hda - Add support for Realtek ALC292
    - LP: #1081466, #1087264
  * bas_gigaset: fix pre_reset handling
    - LP: #1087264
  * ixgbe: add support for X540-AT1
    - LP: #1087264
  * sata_svw: check DMA start bit before reset
    - LP: #1087264
  * ixgbe: add support for new 82599 device
    - LP: #1087264
  * ixgbe: add support for new 82599 device id
    - LP: #1087264
  * get_dvb_firmware: fix download site for tda10046 firmware
    - LP: #1087264
  * USB: mct_u232: fix broken close
    - LP: #1087264
  * watchdog: using u64 in get_sample_period()
    - LP: #1087264
  * Input: bcm5974 - set BUTTONPAD property
    - LP: #1087264
  * mmc: sdhci-s3c: fix the wrong number of max bus clocks
    - LP: #1087264
  * Linux 3.0.54
    - LP: #1087264
  * x86-32: Export ke...

Read more...

Changed in linux (Ubuntu Oneiric):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-01-15
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers